import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class VectorFinanceContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    vectorFinanceMasterChef({ address, network }: ContractOpts): import("./ethers").VectorFinanceMasterChef;
    vectorFinanceMasterChefPoolHelper({ address, network }: ContractOpts): import("./ethers").VectorFinanceMasterChefPoolHelper;
    vectorFinanceMasterChefRewarder({ address, network }: ContractOpts): import("./ethers").VectorFinanceMasterChefRewarder;
}
export type { VectorFinanceMasterChef } from './ethers';
export type { VectorFinanceMasterChefPoolHelper } from './ethers';
export type { VectorFinanceMasterChefRewarder } from './ethers';
